Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.SSL
Interface HostnameVerifier

Deprecated. Deprecated in WebLogic Server 7.0. Use HostnameVerifierJSSE instead.

public interface HostnameVerifier

HostnameVerifier provides a callback mechanism so that implementers of this interface can supply a policy for handling the case where the host that's being connected to and the server name from the certificate SubjectDN must match.

To specify an instance of this interface to be used by the server, set the `SSL.HostName Verifier` field on the SSL tab under Server Configuration in the Administration Console to the name of a class that implements this interface.

Classes implementing this interface must have a public no-arg constructor.

The default implementation of this class in the WebLogic Server will do only a String.equals() comparison of the urlHostname to the certHostname.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HostnameVerification.verify(java.lang.String, java.lang.String)`

Method Summary
`boolean` | `verify(java.net.InetAddress addr, X509 cert)` Deprecated. Verify that the hostname from the URL is an acceptable match with the value from the common name entry in the server certificate's distinguished name.
`boolean` | `verify(java.lang.String urlHostname, java.lang.String certHostname)` Deprecated. Verify that the hostname from the URL is an acceptable match with the value from the common name entry in the server certificate's distinguished name.

Method Detail

### verify

    public boolean verify(java.lang.String urlHostname,
                          java.lang.String certHostname)

  Deprecated.
  Verify that the hostname from the URL is an acceptable match with the value from the common name entry in the server certificate's distinguished name. This method won't be called from WebLogic at this time, rather the other, more descriptive method will be. This is a placeholder for a future JSSE-compliant SSL implementation inside WebLogic.

  Parameters:
    `urlHostname` - The hostname of the server machine the url points to.
    `certHostname` - The common name entry from the certificate.
  Returns:
    true if the certificate hostname is acceptable

### verify

    public boolean verify(java.net.InetAddress addr,
                          X509 cert)

  Deprecated.
  Verify that the hostname from the URL is an acceptable match with the value from the common name entry in the server certificate's distinguished name.

  Parameters:
    `addr` - The InetAddress of the server machine the url points to.
    `cert` - The server certificate from the underlying SSL connection.
  Returns:
    true if the certificate hostname is acceptable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD